# Copyright (c) 2018, NVIDIA CORPORATION. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from setuptools import setup, find_packages
from setuptools.command.install import install
from dali_tf_plugin_install_tool import InstallerHelper

class CustomInstall(install, object):
    def run(self):
        helper = InstallerHelper()
        helper.install()
        super(CustomInstall, self).run()

setup(name='nvidia-dali-tf-plugin',
      description='NVIDIA DALI Tensorflow plugin for CUDA 10.0. Git SHA: e61c304d9f5560fff1be5c821ee140cdab104aef',
      url='https://github.com/NVIDIA/dali',
      version='0.17.0',
      author='NVIDIA Corporation',
      license='Apache License 2.0',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires = [
          'nvidia-dali==0.17.0'
          ],
      cmdclass = {
          'install': CustomInstall
      }
     )
